Campus Life

New operating systems not fully compatible with some University software

Penn State Information Technology is asking those who use Penn State software on their computers not to upgrade to the latest Windows or Mac operating systems at this time.

Windows 11 and macOS Monterey are not compatible with some Penn State-provided software, including the GlobalProtect VPN.

Because the VPN is needed to access the University’s most secure resources remotely, Penn State IT strongly recommends that those who manage Penn State computers not upgrade those systems at this time. Penn State IT-managed computers will not be upgraded until further evaluation and testing are completed.

In addition, employees and students who use their personal computers with GlobalProtect VPN to access Penn State information should not upgrade. Additional messaging will be provided via other channels about this issue.

If you have additional questions, please contact the IT Service Desk by calling 814-865-HELP or by emailing ITservicedesk@psu.edu.

 

Last Updated October 06, 2021